Subject: Re: [PATCH net-next 08/11] net: dsa: mv88e6xxx: add port duplex setter

From: Andrew Lunn <[email-masked]>
Date: Tue, 1 Nov 2016 10:44:40 +0100

>  	int (*port_set_link)(struct mv88e6xxx_chip *chip, int port, int link);
> +
> +	/* Port's MAC duplex mode
> +	 *
> +	 * Use DUPLEX_HALF or DUPLEX_FULL to force half or full duplex, or
> +	 * DUPLEX_UNKNOWN for normal duplex detection.
> +	 */
> +	int (*port_set_duplex)(struct mv88e6xxx_chip *chip, int port, int dup);

Hi Vivien

Again, i think DUPLEX_UNFORCED, or DUPLEX_AUTO would be better.

       Andrew